<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html">
    <head>
        <title>TODO supply a title</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>
    
    <h:body>
        
        <h:form>
            <h:messages id="msg" />
            
            <h:panelGrid columns="2">
                <h:outputLabel for="cadastro" value="Codigo" />
                <h:inputText id="id" value="#{generoBean.genero.id}" style="width: 40px"/>
                <h:outputLabel for="descricao" value="descricao" />
                <h:inputText id="descricao" value="#{generoBean.genero.descricao}" />
                
            </h:panelGrid>
            
            <h:panelGroup>
                <h:commandButton value="Salvar" action="#{generoBean.salvar()}" />
                
            </h:panelGroup>
        </h:form>
        
    </h:body>
</html>
